const Mock = require('mockjs')

const mockGeneration = 1 // primary
const mockGroups = [1, 2, 3, 9, 10, 11]

module.exports = [
  {
    url: '/mock/front/report/getElectiveStatus',
    type: 'get',
    response: config => {
      return {
        code: 200,
        msg: 'success',
        data: {
          year: 2021,
          roundId: 1,
          roundName: '第X次选科',
          allMatched: false,
          currentGeneration: mockGeneration
        }
      }
    }
  },
  {
    url: '/mock/front/report/getElectiveSummary',
    type: 'get',
    response: config => {
      return {
        code: 200,
        msg: 'success',
        'data|6': [{
          year: 2021,
        }]
      }
    }
  }
]
