const Mock = require('mockjs')

module.exports = [
  {
    url: '/mock/front/report/getCurrentRound',
    type:'get',
    response: config => {
      return {
        code: 200,
        msg: 'success',
        data: {
          year: 2021,
          roundId: 1,
          roundName: '第X次选科',
          groupIds:  '1,2,3',
          roundGroups: [
            {
              "id": 32,
              "schoolId": 31,
              "roundId": 14,
              "modelId": 0,
              "groupId": 1,
              "personCount": 0,
              "classCount": 5,
              "limitPerson": 0,
              "rankOut": 0
            },
            {
              "id": 33,
              "schoolId": 31,
              "roundId": 14,
              "modelId": 0,
              "groupId": 2,
              "personCount": 0,
              "classCount": 4,
              "limitPerson": 0,
              "rankOut": 0
            },
            {
              "id": 34,
              "schoolId": 31,
              "roundId": 14,
              "modelId": 0,
              "groupId": 3,
              "personCount": 0,
              "classCount": 0,
              "limitPerson": 0,
              "rankOut": 0
            }
          ],
          enrollGroupCount:{
            '1': 250, // 录取人数
            '2': 122,
            '3': 100
          },
          allowDispatch: true,
          dispatchCompleted: false
        }
      }
    }
  }
]
